# Nice containers for beginners

#### **Quellen**

- [selfh.st](https://selfh.st/apps/) <- viele opensource projekte (einige davon dockerized)

## **Reverseproxies:**

> Hier wird zumindest einer benötigt, um SSL-Verschlüsselung und HTTPS auf den Websites zu aktivieren
> Caddy ist zwar an sich einfacher, weil es nur eine einzige config datei hat, aber zum lernen würde ich den
> nginxproxymanager empfehlen, da er eine kleine webui hat und man das konzept so gut lernen und verstehen kann

- [Nginx Reverseproxy-Manager](https://nginxproxymanager.com/guide/)
- [Caddy](https://hub.docker.com/_/caddy/)

## **Dashboards:**

> Pick whatever you like. Homepage wird in einer config datei (yml) konfiguriert. Daher würde ich Dashy oder Flame
> eher für den Anfang empfehlen

- [Dashy](https://github.com/Lissy93/dashy)
- [Flame](https://github.com/pawelmalak/flame)
- [Homepage](https://gethomepage.dev/)

## **Document-Management:**

> filebrowser und mydrive sind zwei sehr einfache file share services, die mit einer schönen kleinen weboberfläche kommen
> Nextcloud ist etwas mächtiger, zwar auch deutlich hübscher und mit Android/iOS app etc. Aber eben auch etwas komplexer. Ist aber machbar.
> PaperlessNGX ist ein Dokumentenspeichersystem, hauptsächlich für pdf dateien. Ich lasse mir dort täglich und regelmäßig aus meinen
> Mailpostfächern die .pdf dateien die als Rechnung deklariert sind automatisch in mein system einspielen. Automatisierungstechnisch ein Traum!

- [filebrowser](https://github.com/hurlenko/filebrowser-docker)
- [my-drive](https://github.com/subnub/myDrive)
- [nextcloud](https://hub.docker.com/_/nextcloud)
- [PaperlessNGX](https://docs.paperless-ngx.com/setup/#docker)
- [Immich](https://immich.app/docs/install/docker-compose) <- google photos clone, für zuhause! (Bessere Suchfunktion, Personenerkennung, Geodaten auf einer Map...)

## **Sonstige**

- [Bitwarden](https://github.com/dani-garcia/vaultwarden) <- das ist vaultwarden. Bitwarden + ohne zu Zahlen ^^

- [Excalidraw](https://hub.docker.com/r/excalidraw/excalidraw)
- [PDF-Tools](https://github.com/Stirling-Tools/Stirling-PDF)
- [IT-Tools](https://github.com/CorentinTh/it-tools)
